package validator

// 通用字段结构体
type MobileNo struct {
	MobileNo string `json:"mobile_no" validate:"required,min=11,max=11,validMobileNo"`
}
type StartDate struct {
	StartDate string `json:"start_date" validate:"required,validDate"`
}
type IDCard struct {
	IDCard string `json:"id_card" validate:"required,validIDCard"`
}

type Name struct {
	Name string `json:"name" validate:"required,min=1,validName"`
}

type FLXG3D56Request struct {
	MobileNo  string `json:"mobile_no" validate:"required,min=11,max=11,validMobileNo"`
	IDCard    string `json:"id_card" validate:"required,validIDCard"`
	Name      string `json:"name" validate:"required,min=1,validName"`
	TimeRange string `json:"time_range" validate:"omitempty,validTimeRange"` // 非必填字段
}
type IVYZ5733Request struct {
	Name   string `json:"name" validate:"required,min=1,validName"`
	IDCard string `json:"id_card" validate:"required,validIDCard"`
}
